### Function

# GdkPixbuf PixbufModuleUpdatedFunc

#### Declaration

    void
    (* GdkPixbufModuleUpdatedFunc) (
      GdkPixbuf* pixbuf,
      int x,
      int y,
      int width,
      int height,
      gpointer user_data
    )

#### Description [src]

Defines the type of the function that gets called every time a region of `pixbuf` is updated.

`GdkPixbufLoader` uses a function of this type to emit the “area_updated” signal.

Available since: | 2.2

#### Parameters

`pixbuf` | `GdkPixbuf`
| The `GdkPixbuf` that is currently being loaded.
| The data is owned by the caller of the function.
`x` | `int`
| The X origin of the updated area.
`y` | `int`
| The Y origin of the updated area.
`width` | `int`
| The width of the updated area.
`height` | `int`
| The height of the updated area.
`user_data` | `gpointer`
| The loader.
| The argument can be `NULL`.
| The data is owned by the caller of the function.